Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq Class Reference

`#include <Messaging_PolicyValueC.h>`

Inheritance diagram for Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq:

[legend]
Collaboration diagram for Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_Messaging_PolicyValueSeq (void)
| _TAO_Unbounded_Sequence_Messaging_PolicyValueSeq (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_Messaging_PolicyValueSeq (CORBA::ULong maximum, CORBA::ULong length, PolicyValue *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_Messaging_PolicyValueSeq (const _TAO_Unbounded_Sequence_Messaging_PolicyValueSeq &rhs)
_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq & | operator= (const _TAO_Unbounded_Sequence_Messaging_PolicyValueSeq &rhs)
virtual | ~_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq (void)
PolicyValue & | operator[] (CORBA::ULong i)
const PolicyValue & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
| Must deallocate the buffer and then set it to zero. More...
PolicyValue * | get_buffer (CORBA::Boolean orphan=0)
const PolicyValue * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, PolicyValue *data, CORBA::Boolean release)
## Static Public Methods
PolicyValue * | allocbuf (CORBA::ULong size)
void | freebuf (PolicyValue *buffer)

## Constructor & Destructor Documentation

Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq | ( | void |  | ) |

Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq | ( | CORBA::ULong | maximum | ) |

Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | PolicyValue * | data,
|  | CORBA::Boolean | release = 0
| ) |

Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq | ( | const _TAO_Unbounded_Sequence_Messaging_PolicyValueSeq & | rhs | ) |

Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::~_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Ensure that the buffer contains space for at least <length> elements. The constructor must be called for any new elements, the old ones (if any) must be copied into the buffer using operator= and then their destructors must be called. Finally the old buffer must be released. Reimplemented from TAO_Base_Sequence.

void Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Must deallocate the buffer and then set it to zero. Reimplemented from TAO_Base_Sequence.

PolicyValue* Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

void Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::freebuf | ( | PolicyValue * | buffer | ) | `[static]`

const PolicyValue* Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::get_buffer | ( | void |  | ) | const

PolicyValue* Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq& Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::operator= | ( | const _TAO_Unbounded_Sequence_Messaging_PolicyValueSeq & | rhs | ) |

const PolicyValue& Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::operator[] | ( | CORBA::ULong | i | ) | const

PolicyValue& Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::operator[] | ( | CORBA::ULong | i | ) |

void Messaging::_TAO_Unbounded_Sequence_Messaging_PolicyValueSeq::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | PolicyValue * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following files:

- Messaging_PolicyValueC.h
- Messaging_PolicyValueC.cpp